URL structure
Supported methods and overview
POST- used to add a new label.GET- used to retrieve a list of field information for all existing labels on the Covata Platform.
Detailed description
This API endpoint serves a number of purposes:-
Adds a new label to the Covata Platform.
Notes:- To associate this new label with one or more Covata users (as a group), which would allow this label to restrict file sharing to these users, see <access-service>/api/v1/groups/{groupId}. Also see <access-service>/api/v1/groups for more information about adding new groups.
- It is recommended that any newly added label be associated with at least one group of Covata users as soon as possible, since a label (which is not yet associated with any such group + users) and is then specified when sharing (i.e. modifying collaborators on) a new or existing Secure Object, prevents that Secure Object from being shared.
- Be aware that by design and for security reasons, it is not possible to edit any aspect of a label once it has been added to the Covata Platform.
- Retrieves a list of field information for all existing labels on the Covata Platform.
Supported roles and conditions
This API endpoint supports the following Covata user roles (as described in the Covata Platform Administrator’s Guide) and conditions:- System administrator
- Originator - a Covata user with this role can call the
GETmethod only.
Required headers
The appropriate access token as theBearer token:
Authorization: Bearer a1b2c3d4-e5f6-g7h8-i9j0-k1l2m3n4o5p6
Content-Type: application/json
Required parameters on POST
The following required parameter must be sent in the body of the POST request, as an individual member of a JSON object:- name - . Example ():
Optional parameters on POST
The following optional parameter can also be sent in the body of the POST request, as an individual member of the JSON object that includes the Required parameters on POST above:- description - . Example ():
Optional parameters on GET
The following optional parameters can be sent in the URL of the GET request:- limit - 0 to 100 (default is 0).
- offset - default is 0.
-
orderBy -
ASCorDESC(default isASC). - sortBy - . Example ():
Returns from a POST request
A JSON-formatted response containing the following members:- id - .
- name - .
- description - .
- priority - . Example (response from …):
Returns from a GET request
A JSON-formatted response containing the following members:-
items - .
- id - .
- name - .
- priority - .

